/* can.h */

#include "stm32f4xx.h"
#include "stm32f4xx_can.h"

typedef struct _CAN_{

  unsigned char Intr0;
  void (*SetIntr0)();
  void (*ResetIntr0)();
  CanTxMsg* TxMessage;
  CanRxMsg* RxMessage;
  
}CAN;
extern CAN* can;

/* CAN EventHandler*/
void CanSetIntr0();
void CanResetIntr0();

/* CAN */
void CanInit(void);
void CanConfig(void);
void CanSend(uint32_t id, unsigned char* buf,  unsigned char len);




