
#include "main.h"


void main()
{
  /*
	Change Project/Base/Library/system_stm32f4xx.c file to Ryu's 
		1) HSE  		Enabled
		2) PLL_M          	8
		3) PLL_P            2
		4) SYS_CLK         	180MHz
		5) AHB Prescaler   	2        
		6) HCLK             90MHz
		7) APB1 Prescaler  	2
		8) PCLK1            peripheral clock : 45MHz
							timer clock      : 90MHz

		* The original file is backed up under the name 'system_stm32f4xx.c.ori'.
  */
  SystemInit();
  SystemCoreClockUpdate();
  
  
  
  BspInit();
  TimerInit();
  LedInit();
  CanInit();
  
  int cnt = 0;
  while(1)
  {
   if(bsp->Timer0){
     bsp->ResetTimer0();
     if(++cnt==10){
       cnt=0;
     }
     
     unsigned char buf[8] = { cnt, 0 };
     CanSend(0x31, buf, 1);
     Led1Toggle();
   }
   if(can->Intr0){
      
      can->ResetIntr0();
      if((can->RxMessage->StdId==0x0032) && 
         (can->RxMessage->IDE==CAN_ID_STD)&& 
         (can->RxMessage->DLC==1))
      {
        if(can->RxMessage->Data[0]==0x01)
        {
          /* NOP */
        }
        Led0Toggle();
      }
    }
  } 
}

