/* smd.c */

#include "f429bsp.h"

/* 
  f103 step moter driver board 

  SMD0001 configuration
  1) ADC        ADC1    main power
  2) UART       UART1         
  3) CAN        master
  4) SPI        l6470PDTR
  5) GPIOs      
      - input: ?
      - output: led(2)
*/

void LedInit(void){
  
  GPIO_InitTypeDef  GPIO_InitStructure;
  
  /* Enable the GPIO_LED Clock */
  RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOF, ENABLE);
  
  /* Configure the GPIO_LED pin */
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12 | GPIO_Pin_13;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(GPIOF, &GPIO_InitStructure);
  GPIOF->BSRRL = GPIO_Pin_12;
  GPIOF->BSRRL = GPIO_Pin_13;
}

void Led0Toggle(void){ GPIOF->ODR ^= GPIO_Pin_12; }
void Led1Toggle(void){ GPIOF->ODR ^= GPIO_Pin_13; }