/* can.h */

#include "stm32f4xx.h"
#include "stm32f4xx_can.h"

#define CAB_LOOPBACK_TEST 1


typedef struct _CAN_{

  unsigned char Intr0;
  void (*CanSetIntr0)();
  void (*CanResetIntr0)();
  
}CAN;
extern CAN* can;

/* CAN EventHandler*/
void CanSetIntr0();
void CanResetIntr0();

/* CAN */
void CanInit(void);
void CanConfig(void);
void CanLoopbackTest(void);
void CanSend(unsigned char id,  unsigned char* buf,  unsigned char len);



